发 帖  
使用CCS3.3平台,请问在哪里找到TCI6487的库函数和头文件,在哪里下载到?如何调用6487里面的FFT函数,Turbo译码?
156 CCS3 Turbo
分享
本帖最后由 一只耳朵怪 于 2018-6-19 14:30 编辑

使用CCS3.3平台,TCI6487,
问题:(1)在安装文件中没有找到TCI6487的库函数和头文件,请问在哪里下载到?
(2)如何调用6487里面的FFT函数,Turbo译码?
0
2018-6-19 02:11:18   评论 邀请回答
12个回答
你需要安装相应的MCSDK,之后会由相关的CSL。
http://software-dl.ti.com/sdoemb/sdoemb_public_sw/bios_mcsdk/01_00_00_08/index_FDS.html
                                                                          

2018-6-19 02:21:07 评论

举报

zbb9612 发表于 2018-6-19 02:21
你需要安装相应的MCSDK,之后会由相关的CSL。
http://software-dl.ti.com/sdoemb/sdoemb_public_sw/bios_mcsdk/01_00_00_08/index_FDS.html
                                                                          

首先感谢你的回复。
2018-6-19 02:36:55 评论

举报

cslb2000 发表于 2018-6-19 02:36
首先感谢你的回复。

CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。
最后,关于内部函数库,6487是用C64x+的函数库,包括csl库,dsplib库等。你可以参考置顶帖中的资源里去查找。这些库都是需要下载和安装的,CCS5不自带。
2018-6-19 02:47:46 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

你好:
       谢谢你的回复。还有一些问题请教:
      (1)在CCS5.4安装后,在添加XDS560PLUS仿真器时,我使用的是C6487芯片,但在CCS5.4安装文件中,没有找到C6487的gel文件,请问可以使用C6488的gel文件代替吗?
      (2)在下载相应的MCSDK和DSPLIB后,安装后,CCS5,.4加载工程时,应该根据自己的芯片选择不同的lib,例如我的芯片是C6487,就应该选C64x+的函数库??
2018-6-19 02:58:04 评论

举报

cslb2000 发表于 2018-6-19 02:58
你好:
       谢谢你的回复。还有一些问题请教:
      (1)在CCS5.4安装后,在添加XDS560PLUS仿真器时,我使用的是C6487芯片,但在CCS5.4安装文件中,没有找到C6487的gel文件,请问可以使用C6488的gel文件代替吗?

1) 6487和6488的gel文件是可以兼容的。
2) 是的,6487应该使用C64x+的相关lib。
 
2018-6-19 03:05:19 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

你好
      首先谢谢你以前的回复。现在又遇到点问题,向你咨询一下。
     我使用的是6487三核芯片,原先在CCS3.3上面调试的程序都正确,现在移植到CCS5.2上。为了正确,我是重新建立一个新工程,然后将原先的代码文件复制到新工程内,配置目标板,使用的是6488的 gel 文件,过程如下面各个图所示,最终在调试链接芯片时,一直连接不上。
     我使用安装文件中的HELLO WORLD工程,则能够正常链接。
2018-6-19 03:23:51 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

图片传不好,我就一张一张的发吧,不好意思哈
2018-6-19 03:39:38 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

第二张
2018-6-19 03:52:22 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

第三张
2018-6-19 03:57:57 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

第四张
2018-6-19 04:17:37 评论

举报

MAZHILEI 发表于 2018-6-19 02:47
CCS3.3是很老的版本了,现在都有CCS5.
到www.ti.com就可以免费下载。
关于仿真器,CCS5自带了一部分仿真器的驱动,即插即用。如果不自带的需要用户自己联系购买方提供相应的驱动。

第五张
2018-6-19 04:32:28 评论

举报

MAZHILEI 发表于 2018-6-19 03:05
1) 6487和6488的gel文件是可以兼容的。
2) 是的,6487应该使用C64x+的相关lib。
 

上传的图片的顺序有点乱,还望你帮忙解答,谢谢。
2018-6-19 04:49:53 评论

举报

只有小组成员才能发言,加入小组>>

37个成员聚集在这个小组

加入小组

创建小组步骤

关闭

站长推荐 上一条 /7 下一条

快速回复 返回顶部 返回列表